QT       += opengl core gui multimedia xml svg widgets

TARGET = mlt64

CONFIG += c++11

TEMPLATE = lib

DESTDIR = $$PWD/Bin

DEFINES += MLTPP_EXPORTS

macx{
DEFINES += HAVE_SYS_TIME_H __APPLE__ RELOCATABLE
}
HEADERS += \
    src/framework/mlt.h \
    src/framework/mlt_animation.h \
    src/framework/mlt_audio.h \
    src/framework/mlt_cache.h \
    src/framework/mlt_chain.h \
    src/framework/mlt_consumer.h \
    src/framework/mlt_deque.h \
    src/framework/mlt_events.h \
    src/framework/mlt_factory.h \
    src/framework/mlt_field.h \
    src/framework/mlt_filter.h \
    src/framework/mlt_frame.h \
    src/framework/mlt_image.h \
    src/framework/mlt_link.h \
    src/framework/mlt_log.h \
    src/framework/mlt_luma_map.h \
    src/framework/mlt_multitrack.h \
    src/framework/mlt_parser.h \
    src/framework/mlt_playlist.h \
    src/framework/mlt_pool.h \
    src/framework/mlt_producer.h \
    src/framework/mlt_profile.h \
    src/framework/mlt_properties.h \
    src/framework/mlt_property.h \
    src/framework/mlt_repository.h \
    src/framework/mlt_service.h \
    src/framework/mlt_slices.h \
    src/framework/mlt_tokeniser.h \
    src/framework/mlt_tractor.h \
    src/framework/mlt_transition.h \
    src/framework/mlt_types.h \
    src/framework/mlt_version.h \
    src/mlt++/Mlt.h \
    src/mlt++/MltAnimation.h \
    src/mlt++/MltAudio.h \
    src/mlt++/MltChain.h \
    src/mlt++/MltConfig.h \
    src/mlt++/MltConsumer.h \
    src/mlt++/MltDeque.h \
    src/mlt++/MltEvent.h \
    src/mlt++/MltFactory.h \
    src/mlt++/MltField.h \
    src/mlt++/MltFilter.h \
    src/mlt++/MltFilteredConsumer.h \
    src/mlt++/MltFilteredProducer.h \
    src/mlt++/MltFrame.h \
    src/mlt++/MltImage.h \
    src/mlt++/MltLink.h \
    src/mlt++/MltMultitrack.h \
    src/mlt++/MltParser.h \
    src/mlt++/MltPlaylist.h \
    src/mlt++/MltProducer.h \
    src/mlt++/MltProfile.h \
    src/mlt++/MltProperties.h \
    src/mlt++/MltPushConsumer.h \
    src/mlt++/MltRepository.h \
    src/mlt++/MltService.h \
    src/mlt++/MltTokeniser.h \
    src/mlt++/MltTractor.h \
    src/mlt++/MltTransition.h \
    src/modules/avformat/common.h \
    src/modules/avformat/mmx.h \
    src/modules/core/image_proc.h \
    src/modules/core/transition_composite.h \
    src/modules/oldfilm/commonoldfilm.h \
    src/modules/plus/interp.h \
    src/modules/qt/ImageWebp.h \
    src/modules/qt/commonqt.h \
    src/modules/qt/graph.h \
    src/modules/qt/kdenlivetitle_wrapper.h \
    src/modules/qt/qimage_wrapper.h \
    src/modules/qt/typewriter.h \
    src/modules/sdl2/common_sdl2.h \
    src/modules/xml/commonxml.h \
    src/win32/stdatomic.h \

SOURCES += \
    src/framework/mlt_animation.c \
    src/framework/mlt_audio.c \
    src/framework/mlt_cache.c \
    src/framework/mlt_chain.c \
    src/framework/mlt_consumer.c \
    src/framework/mlt_deque.c \
    src/framework/mlt_events.c \
    src/framework/mlt_factory.c \
    src/framework/mlt_field.c \
    src/framework/mlt_filter.c \
    src/framework/mlt_frame.c \
    src/framework/mlt_image.c \
    src/framework/mlt_link.c \
    src/framework/mlt_log.c \
    src/framework/mlt_luma_map.c \
    src/framework/mlt_multitrack.c \
    src/framework/mlt_parser.c \
    src/framework/mlt_playlist.c \
    src/framework/mlt_pool.c \
    src/framework/mlt_producer.c \
    src/framework/mlt_profile.c \
    src/framework/mlt_properties.c \
    src/framework/mlt_property.c \
    src/framework/mlt_repository.c \
    src/framework/mlt_service.c \
    src/framework/mlt_slices.c \
    src/framework/mlt_tokeniser.c \
    src/framework/mlt_tractor.c \
    src/framework/mlt_transition.c \
    src/framework/mlt_version.c \
    src/mlt++/MltAnimation.cpp \
    src/mlt++/MltAudio.cpp \
    src/mlt++/MltChain.cpp \
    src/mlt++/MltConsumer.cpp \
    src/mlt++/MltDeque.cpp \
    src/mlt++/MltEvent.cpp \
    src/mlt++/MltFactory.cpp \
    src/mlt++/MltField.cpp \
    src/mlt++/MltFilter.cpp \
    src/mlt++/MltFilteredConsumer.cpp \
    src/mlt++/MltFilteredProducer.cpp \
    src/mlt++/MltFrame.cpp \
    src/mlt++/MltImage.cpp \
    src/mlt++/MltLink.cpp \
    src/mlt++/MltMultitrack.cpp \
    src/mlt++/MltParser.cpp \
    src/mlt++/MltPlaylist.cpp \
    src/mlt++/MltProducer.cpp \
    src/mlt++/MltProfile.cpp \
    src/mlt++/MltProperties.cpp \
    src/mlt++/MltPushConsumer.cpp \
    src/mlt++/MltRepository.cpp \
    src/mlt++/MltService.cpp \
    src/mlt++/MltTokeniser.cpp \
    src/mlt++/MltTractor.cpp \
    src/mlt++/MltTransition.cpp \
    src/modules/avformat/common.c \
    src/modules/avformat/consumer_avformat.c \
    src/modules/avformat/factory_ffmpeg.c \
    src/modules/avformat/filter_avcolour_space.c \
    src/modules/avformat/filter_avdeinterlace.c \
    src/modules/avformat/filter_avfilter.c \
    src/modules/avformat/filter_swresample.c \
    src/modules/avformat/filter_swscale.c \
    src/modules/avformat/producer_avformat.c \
    src/modules/core/consumer_multi.c \
    src/modules/core/consumer_null.c \
    src/modules/core/factorycore.c \
    src/modules/core/filter_audiochannels.c \
    src/modules/core/filter_audioconvert.c \
    src/modules/core/filter_audiomap.c \
    src/modules/core/filter_audiowave.c \
    src/modules/core/filter_box_blur.c \
    src/modules/core/filter_brightness.c \
    src/modules/core/filter_channelcopy.c \
    src/modules/core/filter_choppy.c \
    src/modules/core/filter_crop.c \
    src/modules/core/filter_data_feed.c \
    src/modules/core/filter_data_show.c \
    src/modules/core/filter_fieldorder.c \
    src/modules/core/filter_gamma.c \
    src/modules/core/filter_greyscale.c \
    src/modules/core/filter_imageconvert.c \
    src/modules/core/filter_luma.c \
    src/modules/core/filter_mask_apply.c \
    src/modules/core/filter_mask_start.c \
    src/modules/core/filter_mirror.c \
    src/modules/core/filter_mono.c \
    src/modules/core/filter_obscure.c \
    src/modules/core/filter_panner.c \
    src/modules/core/filter_rescale.c \
    src/modules/core/filter_resize.c \
    src/modules/core/filter_transition.c \
    src/modules/core/filter_transpose.c \
    src/modules/core/filter_watermark.c \
    src/modules/core/filter_watermark_affine.c \
    src/modules/core/image_proc.c \
    src/modules/core/link_timeremap.c \
    src/modules/core/producer_colour.c \
    src/modules/core/producer_consumer.c \
    src/modules/core/producer_hold.c \
    src/modules/core/producer_loader.c \
    src/modules/core/producer_melt.c \
    src/modules/core/producer_noise.c \
    src/modules/core/producer_timewarp.c \
    src/modules/core/producer_tone.c \
    src/modules/core/transition_composite.c \
    src/modules/core/transition_luma.c \
    src/modules/core/transition_matte.c \
    src/modules/core/transition_mix.c \
    src/modules/normalize/factorynormalize.c \
    src/modules/normalize/filter_audiolevel.c \
    src/modules/normalize/filter_volume.c \
    src/modules/oldfilm/commonoldfilm.c \
    src/modules/oldfilm/factoryoldfilm.c \
    src/modules/oldfilm/filter_dust.c \
    src/modules/oldfilm/filter_grain.c \
    src/modules/oldfilm/filter_lines.c \
    src/modules/oldfilm/filter_oldfilm.c \
    src/modules/oldfilm/filter_tcolor.c \
    src/modules/oldfilm/filter_vignette.c \
    src/modules/plus/consumer_blipflash.c \
    src/modules/plus/factoryplus.c \
    src/modules/plus/filter_affine.c \
    src/modules/plus/filter_charcoal.c \
    src/modules/plus/filter_chroma.c \
    src/modules/plus/filter_chroma_hold.c \
    src/modules/plus/filter_dance.c \
    src/modules/plus/filter_dynamictext.c \
    src/modules/plus/filter_invert.c \
    src/modules/plus/filter_lift_gamma_gain.c \
    src/modules/plus/filter_lumakey.c \
    src/modules/plus/filter_pillar_echo.c \
    src/modules/plus/filter_rgblut.c \
    src/modules/plus/filter_sepia.c \
    src/modules/plus/filter_shape.c \
    src/modules/plus/filter_spot_remover.c \
    src/modules/plus/filter_strobe.c \
    src/modules/plus/filter_text.c \
    src/modules/plus/filter_threshold.c \
    src/modules/plus/filter_timer.c \
    src/modules/plus/producer_blipflash.c \
    src/modules/plus/producer_count.c \
    src/modules/plus/producer_pgm.c \
    src/modules/plus/transition_affine.c \
    src/modules/qt/ImageWebp.cpp \
    src/modules/qt/commonqt.cpp \
    src/modules/qt/consumer_qglsl.cpp \
    src/modules/qt/factoryqt.c \
    src/modules/qt/filter_audiospectrum.cpp \
    src/modules/qt/filter_audiowaveform.cpp \
    src/modules/qt/filter_lightshow.cpp \
    src/modules/qt/filter_qtblend.cpp \
    src/modules/qt/filter_qtcrop.cpp \
    src/modules/qt/filter_qtext.cpp \
    src/modules/qt/filter_typewriter.cpp \
    src/modules/qt/graph.cpp \
    src/modules/qt/kdenlivetitle_wrapper.cpp \
    src/modules/qt/producer_kdenlivetitle.c \
    src/modules/qt/producer_qimage.c \
    src/modules/qt/producer_qtext.cpp \
    src/modules/qt/producer_webp.cpp \
    src/modules/qt/qimage_wrapper.cpp \
    src/modules/qt/transition_qtblend.cpp \
    src/modules/qt/transition_vqm.cpp \
    src/modules/qt/typewriter.cpp \
    src/modules/sdl2/common_sdl2.c \
    src/modules/sdl2/consumer_sdl2.c \
    src/modules/sdl2/consumer_sdl2_audio.c \
    src/modules/sdl2/factorysdl2.c \
    src/modules/xml/commonxml.c \
    src/modules/xml/consumer_xml.c \
    src/modules/xml/factoryxml.c \
    src/modules/xml/producer_xml.c

win32-msvc{
HEADERS += \
    src/win32/dirent.h \
    src/win32/w32dlfcn.h
SOURCES += \
    src/win32/fnmatch.c \
    src/win32/win32.c \
}
